/**
Forca
-----
    * Possui uma string (palavra procurada)
    * Possui uma string para ser exibida
    * Possui um método para adicionar uma letra
    * Possui um método para verificar se ganhou
*/
#include <string>
#include <iostream>
using namespace std;
class Forca {
private:
    string procurada;
    string mascara;
public:
    Forca() {} // Construtor 
  
    Forca( string procurada ) : procurada( procurada ) {
        mascara = procurada;
        for( int i = 0; i < mascara.size(); i++ )
            mascara[i] = '_';    
    }
    
    string getMascara() {
        return mascara;
    }
    
    string getProcurada() {
        return procurada;
    }
    
    void adicionaLetra( char letra ) {
        for( int i = 0; i < procurada.size(); i++ )
            if( procurada[i] == letra )
                mascara[i] = letra;
    }
    
    bool verificaSeGanhou() {
        if( procurada == mascara )
            return true;
        else
            return false;
    }
    
    void imprimeMascara() {
        for(int i = 0; i < mascara.size(); i++ ) {
            cout << mascara[i];
            cout << ' ';
        }
        cout << endl;
    } 
};
