#include <string>
#include "Forca.h"
#include "Repositorio.h"

class Jogo {
private:
    int qtdErros; // quantidade máxima de erros
    Forca forca;
public:
    Jogo( int qtdErros ) : qtdErros (qtdErros) {
        Repositorio rep("palavras.txt");
        // Chamando o construtor depois da declaração
        forca = Forca( rep.seleciona() ); 
    }
    
    void jogar() {
        while( forca.verificaSeGanhou() == false ) {
            forca.imprimeMascara();
            char letra;
            cout << "Entre com uma letra: ";
            cin  >> letra;
            forca.adicionaLetra( letra );    
        }
        
        cout << "Palavra procurada: " << forca.getProcurada() << endl;
        
        
    }
};

int main( ) {
    Jogo jogo( 4 );
    jogo.jogar();

}
